Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface AbstractComponentType

All Superinterfaces:
  Serializable, Type

All Known Implementing Classes:
  AnyType, ComponentType, CompositeCustomType, EmbeddedComponentType

    public interface AbstractComponentType

extends Type

Enables other Component-like types to hold collections and have cascades, etc.

Author:
  Gavin King
See Also:
  `ComponentType`, `AnyType`

Method Summary
`CascadeStyle` | `getCascadeStyle(int i)`
`FetchMode` | `getFetchMode(int i)`
`String[]` | `getPropertyNames()` Get the names of the component properties
`boolean[]` | `getPropertyNullability()` Optional operation
`Object` | `getPropertyValue(Object component, int i, SessionImplementor session)`
`Object[]` | `getPropertyValues(Object component, EntityMode entityMode)` Optional operation
`Object[]` | `getPropertyValues(Object component, SessionImplementor session)` Get the values of the component properties of a component instance
`Type[]` | `getSubtypes()` Get the types of the component properties
`boolean` | `isEmbedded()`
`boolean` | `isMethodOf(Method method)`
`void` | `setPropertyValues(Object component, Object[] values, EntityMode entityMode)` Optional operation

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Method Detail

### getSubtypes

    Type[] getSubtypes()

  Get the types of the component properties

### getPropertyNames

    String[] getPropertyNames()

  Get the names of the component properties

### getPropertyNullability

    boolean[] getPropertyNullability()

  Optional operation

  Returns:
    nullability of component properties

### getPropertyValues

    Object[] getPropertyValues(Object component,
                               SessionImplementor session)
                               throws HibernateException

  Get the values of the component properties of a component instance

  Throws:
    `HibernateException`

### getPropertyValues

    Object[] getPropertyValues(Object component,
                               EntityMode entityMode)
                               throws HibernateException

  Optional operation

  Throws:
    `HibernateException`

### setPropertyValues

    void setPropertyValues(Object component,
                           Object[] values,
                           EntityMode entityMode)
                           throws HibernateException

  Optional operation

  Throws:
    `HibernateException`

### getPropertyValue

    Object getPropertyValue(Object component,
                            int i,
                            SessionImplementor session)
                            throws HibernateException

  Throws:
    `HibernateException`

### getCascadeStyle

    CascadeStyle getCascadeStyle(int i)

### getFetchMode

    FetchMode getFetchMode(int i)

### isMethodOf

    boolean isMethodOf(Method method)

### isEmbedded

    boolean isEmbedded()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD